Subject: Re: [PATCH net-next] net: dsa: mc88e6xxx: Fix 88E6141/6341 2500mbps SERDES speed

From: Marek Behun <[email-masked]>
Date: Sun, 7 Oct 2018 00:00:54 +0200

Hi Andrew, I think that dividing this patch into three would be too
much. How about this commit message?

  net: dsa: mv88e6xxx: Fix 88E6141/6341 2500mbps SERDES speed

  This is a fix for the port_set_speed method for the Topaz family.
  Currently the same method is used as for the Peridot family, but
  this is wrong for the SERDES port.

  On Topaz, the SERDES port is port 5, not 9 and 10 as in Peridot.
  Moreover setting alt_bit on Topaz only makes sense for port 0 (for
  (differentiating 100mbps vs 200mbps). The SERDES port does not
  support more than 2500mbps, so alt_bit does not make any difference.

On Sat, 6 Oct 2018 20:37:00 +0200
Andrew Lunn <[email-masked]> wrote:

> On Sat, Oct 06, 2018 at 02:38:10AM +0200, Marek Behun wrote:
> > > Hi Marek
> > > 
> > > I'm confused.
> > > 
> > > The alt bit is used for configuring 2500. You say 2500 is only
> > > supported on port 5. But !port is only true for port 0?
> > > 
> > > 	  Andrew  
> > 
> > On Topaz alt_bit is used only for port 0 for differentiating 100
> > mbps vs 200 mbps. The choices for SpdValue are 0 for 10 mbps, 1 for
> > 100 mbps or 200 mbps (if alt_bit), 2 for 1000 mbps and 3 for 2500
> > mbps. 2500 is allowed only on port 5. alt_bit is not used on Topaz
> > for port 5 (serdes), therefore I used !port.  
> 
> Hi Marek
> 
> The commit message could be clearer. It might be going too far, but
> you could split this into three.
> 
> 1) Basic framework code, with works correctly for ports 1-4.
> 2) The special 200Mbps for port 0
> 3) The special 2500Mbps for port 5.
> 
> But i would also accept a clearer commit message.
> 
>     Thanks
>     Andrew